package com.caimei365.user.mapper;

import com.caimei365.user.model.dto.BehaviorRecordDto;
import com.caimei365.user.model.dto.RoosInformationDto;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * Description
 *
 * @author : Charles
 * @date : 2022/12/9
 */
@Mapper
public interface RoosInformationMapper {
    /**
     * 查看用户是否有过弹框
     * @param IP
     * @param createTime
     * @return
     */
   List<Integer> selIsClick(@Param("IP") String IP,@Param("createTime") String createTime);

    /**
     * 插入填写咨询人基本信息
     * @param roosInformationDto
     */
   void insRoosInformation(RoosInformationDto roosInformationDto);

    /**
     * 查看访问者是否浏览过roos相关页面
     * @param userID
     * @param IP
     * @param accessDate
     * @return
     */
   List<String> visitRoos(@Param("userID") String userID,@Param("IP") String IP,@Param("accessDate") String accessDate);
}
